---- English effect names ----

-- Used for the ballads.
ValidBalladEffectsEn = {

	["Ballad Damage Bonus"] = true,
	["Ballad Power Bonus"] = true,
	["Ballad Healing Bonus"] = true,
	["Dirge"] = true, -- On a war-steed
	["Saga"] = true, -- On a war-steed
	["Chant"] = true--, -- On a war-steed
	--["Skills Bonus"] = true
}

-- Used for the anthems. The numbers sets the order in fixed themes.
ValidAnthemEffectsEn = {
	["Anthem of Compassion"] = 1,
	["Anthem of the Third Age"] = 4,
	["Anthem of the Third Age (Dissonance)"] = 4,
	["Anthem of the Third Age (Melody)"] = 4,
	["Anthem of the Third Age (War-speech)"] = 4, -- in yellow spec
	["Anthem of the Third Age (Harmony)"] = 4, -- in yellow spec
	["Anthem of the Free People"] = 5,
	["Anthem of War"] = 2,
	["Anthem of Prowess"] = 3,
	["Anthem of Composure"] = 6,
	["Anthem of the Rohirrim"] = 1, -- On a war-steed
	["Anthem of the Red Dawn"] = 2, -- On a war-steed
	["Anthem of the Riddermark"] = 3 -- On a war-steed
}

-- Used to recognize a coda
ValidCodaSkillNamesEn = {
	["Coda of the Eorlingas"] = true, -- In war speech stance
	["Coda of Vigour"] = true -- In no stance and in harmony stance
}

-- Used to determine, that the player is in the yellow trait line.
ValidYellowTraitSkillNamesEn = {
	["Anthem of Prowess"] = true
}

---- German effect names ----
ValidBalladEffectsDe = {
	["Bonusschaden bei Balladen"] = true,
	["Kraftbonus bei Balladen"] = true,
	["Balladenheilungs-Bonus"] = true,
	["Klagegesang"] = true, -- Auf dem Kriegsross
	["Gesang"] = true, -- Auf dem Kriegsross
	["Sage"] = true -- Auf dem Kriegsross
}

ValidAnthemEffectsDe = {
	["Hymne des Mitgefühls"] = 1,
	["Hymne des Dritten Zeitalters"] = 4,
	["Hymne des Dritten Zeitalters (Dissonanz)"] = 4,
	["Hymne des Dritten Zeitalters (Melodie)"] = 4,
	["Hymne des Dritten Zeitalters (Kriegsrede)"] = 4,  -- In gelber Traitlinie
	["Hymne des Dritten Zeitalters (Harmonie)"] = 4,    -- In gelber Traitlinie
	["Hymne der freien Völker"] = 5,
	["Hymne des Krieges"] = 2,
	["Hymne der Tüchtigkeit"] = 3,
	["Hymne der Selbstbeherrschung"] = 6,
	["Hymne der Rohirrim"] = 1, -- Auf dem Kriegsross
	["Hymne der Morgenröte"] = 2, -- Auf dem Kriegsross
	["Hymne der Riddermark"] = 3 -- Auf dem Kriegsross
}

ValidCodaSkillNamesDe = {
	["Coda der Melodie"] = true, -- In Haltung: Melodie
	["Coda der Resonanz"] = true, -- In Haltung: Resonanz
	["Coda der Wut"] = true, -- In Haltung: Dissonanz (Kriegsrede)
	["Coda der Eorlingas"] = true -- Auf dem Kriegsross
}

ValidYellowTraitSkillNamesDe = {
	["Hymne der Tüchtigkeit"] = true
}

---- French effect names ----
ValidBalladEffectsFr = {
	["Bonus de dégâts de ballade"] = true,
	["Bonus de Puissance de ballade"] = true,
	["Bonus de guérison de ballade"] = true,
	["Chant funèbre"] = true,
	["Saga"] = true,
	["Chant"] = true
}

ValidAnthemEffectsFr = {
	["Hymne de guerre"] = 1,
	["Hymne aux prouesses"] = 2,
	["Hymne de contenance"] = 3,
	["Hymne du Troisième Age"] = 4,
	["Hymne du Troisième Age (Dissonance)"] = 4,
	["Hymne du Troisième Age (Mélodie)"] = 4,
	["Hymne du Troisième Age (Discours de guerre)"] = 4,
	["Hymne du Troisième Age (Harmonie)"] = 4,
	["Hymne de l'Aube rouge"] = 1,
	["Hymne du Riddermark"] = 2,
	["Hymne des Rohirrim"] = 3
}

ValidCodaSkillNamesFr = {
	["Coda des Eorlingas"] = true, -- mounted
	["Coda de fureur"] = true, -- war speech
	["Coda de mélodie"] = true, -- melody
	["Coda de résonance"] = true -- no stance
}

ValidYellowTraitSkillNamesFr = {
	["Hymne aux prouesses"] = true
}